/*
 * Processes MAP_COORDINATE_SYSTEM and loads a javascript file to deal with it.
 */

var CoordinateSystemFiles = new Array();
CoordinateSystemFiles['UTM'] = 'projections/utm.js';
CoordinateSystemFiles['MNCOUNTY'] = 'projections/mncounty.js';

function loadCoordinateSystem() {
	var CoordSys = new String(MAP_COORDINATE_SYSTEM).split('-');
	var theHead = document.getElementsByTagName('head')[0];
	var scriptTag =document.createElement('script');
	scriptTag.src = CoordinateSystemFiles[CoordSys[0]];
	theHead.appendChild(scriptTag);
}

loadCoordinateSystem();
